All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.olap
Class TitleArea

    com.sas.actionprovider.util.olap.TitleArea

All Implemented Interfaces:
  AxisAreaInterface, TitleAreaInterface

    public class TitleArea

implements TitleAreaInterface

Interface for specifying the attributes required for identifying a title cell in a olap tableview component.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4

Field Summary

Fields inherited from interface com.sas.actionprovider.util.olap.TitleAreaInterface
`UNSET`

Constructor Summary
`TitleArea()` Default Constructor
`TitleArea(int axisIndex, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` Constructor.

Method Summary
`int` | `getAxisNumber()` Returns the axis number for the title cell.
`java.lang.String` | `getDimension()` Returns the name of the dimension for the title cell.
`java.lang.String` | `getHierarchy()` Returns the name of the hierarachy for the title cell.
`java.lang.String` | `getLevel()` Returns the name of the level for the header cell.
`void` | `setAxisNumber(int axisNumber)` Sets the axis number for the title cell.
`void` | `setDimension(java.lang.String dimension)` Sets the name of the dimension for the title cell.
`void` | `setHierarchy(java.lang.String hierarachy)` Sets the name of the hierarachy for the title cell.
`void` | `setLevel(java.lang.String level)` Sets the name of the level for the title cell.

Constructor Detail

### TitleArea

    public TitleArea()

  Default Constructor

### TitleArea

    public TitleArea(int axisIndex,
                     java.lang.String dimension,
                     java.lang.String hierarchy,
                     java.lang.String level)

  Constructor.

  Parameters:
    `axisIndex` - The axis index.
    `dimension` - The name of the dimension for the title cell.
    `hierarchy` - The name of the hierarchy for the title cell.
    `level` - The name of the level for the title cell.

Method Detail

### setAxisNumber

    public void setAxisNumber(int axisNumber)

  Sets the axis number for the title cell.

  Specified by:
    `setAxisNumber` in interface `AxisAreaInterface`
  Parameters:
    `axisNumber` - the axis number for the title cell.

### getAxisNumber

    public int getAxisNumber()

  Returns the axis number for the title cell.

  Specified by:
    `getAxisNumber` in interface `AxisAreaInterface`
  Returns:
    the axis number for the title cell.

### setDimension

    public void setDimension(java.lang.String dimension)

  Sets the name of the dimension for the title cell.

  Specified by:
    `setDimension` in interface `TitleAreaInterface`
  Parameters:
    `dimension` - the name of the dimension for the title cell.

### getDimension

    public java.lang.String getDimension()

  Returns the name of the dimension for the title cell.

  Specified by:
    `getDimension` in interface `TitleAreaInterface`
  Parameters:
    `the` - name of the dimension for the title cell.

### setHierarchy

    public void setHierarchy(java.lang.String hierarachy)

  Sets the name of the hierarachy for the title cell.

  Specified by:
    `setHierarchy` in interface `TitleAreaInterface`
  Parameters:
    `hierarachy` - the name of hierarachy the viewer index for the title cell.

### getHierarchy

    public java.lang.String getHierarchy()

  Returns the name of the hierarachy for the title cell.

  Specified by:
    `getHierarchy` in interface `TitleAreaInterface`
  Parameters:
    `the` - name of the hierarachy for the title cell.

### setLevel

    public void setLevel(java.lang.String level)

  Sets the name of the level for the title cell.

  Specified by:
    `setLevel` in interface `TitleAreaInterface`
  Parameters:
    `level` - the name of the level for the title cell.

### getLevel

    public java.lang.String getLevel()

  Returns the name of the level for the header cell.

  Specified by:
    `getLevel` in interface `TitleAreaInterface`
  Parameters:
    `the` - name of the level for the header cell.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.